;;; 50recutils.el -- debian emacs setups for recutils

(cond ((not (file-exists-p "/usr/share/emacs/site-lisp/rec-mode.el"))
       (message "recutils removed but not purged, skipping setup"))

      ;; rec-mode.el needs GNU Emacs 24 up in a few places.
      ;; Check features it needs, not a hard coded version number.
      ;; emacs23 doesn't have `looking-back'.
      ;; xemacs21 doesn't have `looking-back' or `tabulated-list-mode'.
      ((not (and (fboundp 'looking-back)
                 (fboundp 'tabulated-list-mode)))
       (message "recutils is not for this Emacs, skipping setup"))

      (t
       (autoload 'rec-mode "rec-mode" "A major mode for editing rec files." t)

       ;; as recommended by /usr/share/info/rec-mode.info "Activation"
       (add-to-list 'auto-mode-alist '("\\.rec\\'" . rec-mode))))
